# ``twisted`.`cred`.`_digest``

module documentation
(source)

Calculations for HTTP Digest authentication.

See Also
http://www.faqs.org/rfcs/rfc2617.html

Function | `calcHA1` | Compute H(A1) from RFC 2617.
Function | `calcHA2` | Compute H(A2) from RFC 2617.
Function | `calcResponse` | Compute the digest for the given parameters.
Variable | `algorithms` | Undocumented

def calcHA1(pszAlg, pszUserName, pszRealm, pszPassword, pszNonce, pszCNonce, preHA1=None): (source)
Compute H(A1) from RFC 2617.

Parameters
pszAlg | The name of the algorithm to use to calculate the digest. Currently supported are md5, md5-sess, and sha.
pszUserName | The username
pszRealm | The realm
pszPassword | The password
pszNonce | The nonce
pszCNonce | The cnonce
preHA1 | If available this is a str containing a previously calculated H(A1) as a hex string. If this is given then the values for pszUserName, pszRealm, and pszPassword must be `None` and are ignored.

def calcHA2(algo, pszMethod, pszDigestUri, pszQop, pszHEntity): (source)
Compute H(A2) from RFC 2617.

Parameters
algo | The name of the algorithm to use to calculate the digest. Currently supported are md5, md5-sess, and sha.
pszMethod | The request method.
pszDigestUri | The request URI.
pszQop | The Quality-of-Protection value.
pszHEntity | The hash of the entity body or `None` if `pszQop` is not `'auth-int'`.
Returns
The hash of the A2 value for the calculation of the response digest.

def calcResponse(HA1, HA2, algo, pszNonce, pszNonceCount, pszCNonce, pszQop): (source)
Compute the digest for the given parameters.

Parameters
HA1 | The H(A1) value, as computed by `calcHA1`.
HA2 | The H(A2) value, as computed by `calcHA2`.
algo | Undocumented
pszNonce | The challenge nonce.
pszNonceCount | The (client) nonce count value for this response.
pszCNonce | The client nonce.
pszQop | The Quality-of-Protection value.

algorithms = (source)

Undocumented